
Resource = {}
Resource.images = {}
Resource.sounds = {}

function Resource:getImage(imagePath)
	for path, image in pairs(self.images) do
		if (path == imagePath) then
			return image
		end
	end
	self.images[imagePath] = love.graphics.newImage(imagePath) 
	return self.images[imagePath]
end

function Resource:getSound(soundPath)
	for path, sound in pairs(self.sounds) do
		if (path == soundPath) then
			return sound
		end
	end
	self.sounds[soundPath] = love.audio.newSound(soundPath) 
	return self.sounds[soundPath]
end
