
HitText = newClass("HitText")

function HitText:init(text, x, y, color)
	self.text = text
	self.x = x
	self.y = y
	self.color = color
	self.duration = 1.0
end

function HitText:update(dt)
	self.y = self.y - 0.2
	self.duration = self.duration - dt
end

function HitText:draw()
	love.graphics.setColor(self.color) 
	love.graphics.draw(self.text, self.x, self.y)
end

function HitText:isDead()
	return self.duration <= 0.0
end
